# Poco

# template < class ResultType, class ArgType, class OwnerType >

# class ActiveRunnable

Library: Foundation
Package: Threading
Header: Poco/ActiveRunnable.h

## Description

This class is used by ActiveMethod. See the ActiveMethod class for more information.

## Inheritance

Direct Base Classes: ActiveRunnableBase

All Base Classes: ActiveRunnableBase, RefCountedObject, Runnable

## Member Summary

Member Functions: run

Inherited Functions: duplicate, referenceCount, release, run

## Types

### ActiveResultType

typedef ActiveResult < ResultType > ActiveResultType;

### ResultType

typedef ResultType (OwnerType::* Callback)(const ArgType &);

## Constructors

### ActiveRunnable

ActiveRunnable(
OwnerType * pOwner,
Callback method,
const ArgType & arg,
const ActiveResultType & result
);

## Member Functions

### run

void run();

See also: Poco::Runnable::run()